//----------------------------------------------------------------------------
// Copyright (c) 1997 by Joseph Parrello. All Rights Reserved.
// Site   : http://space.tin.it/computer/giparrel
// E-Mail : joparrel@tin.it, giusparr@tin.it, giparre@tin.it
//
// Revision:   1.1  (December 26, 1997).
//
// Definition of JPTextGadget class.
//
// Read JPTXTGAD.TXT for use and license.
//
// Only for OWL 5.02 users.
// OWL and ObjectWindows are trademarks of Borland International.
//
// THIS CLASS AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//----------------------------------------------------------------------------

#if !defined(jptxtgad_h)     
#define jptxtgad_h

#if !defined(OWL_TEXTGADG_H)
#include <owl/textgadg.h>
#endif
#if !defined(OWL_GADGETWI_H)
#include <owl/gadgetwi.h>
#endif

//{{TTextGadget = JPTextGadget}}
class JPTextGadget : public TTextGadget {
  public:
    JPTextGadget(int id, TBorderStyle = Recessed, TAlign = Left, uint numChars = 10, const char far* text = 0, TFont* font = 0 );
    virtual ~JPTextGadget();

//{{JPTextGadgetVIRTUAL_BEGIN}}
  public:
    virtual void MouseEnter(uint modKeys, TPoint& point);
    virtual void MouseLeave(uint modKeys, TPoint& point);

//{{JPTextGadgetVIRTUAL_END}}
};    //{{JPTextGadget}}

#endif

